Bug 1947176 - OVN-Kubernetes leaves stale AddressSets around if the deletion was missed.
Summary: OVN-Kubernetes leaves stale AddressSets around if the deletion was missed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Casey Callendrello
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks: 1956980
TreeView+ depends on / blocked
 
Reported: 2021-04-07 20:21 UTC by Casey Callendrello
Modified: 2021-07-27 22:58 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:57:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:58:16 UTC

Description Casey Callendrello 2021-04-07 20:21:03 UTC
Upstream PR https://github.com/ovn-org/ovn-kubernetes/pull/2152 fixes a bug where ForEachAddressSet didn't work.

This means that we won't delete old address sets if the deletion is missed, say, because ovn-k was restarting.

If another namespace or NetworkPolicy comes into existence with the same name, it will have spurious IPs in the address set.

We should backport this fix as appropriate.

Comment 1 Casey Callendrello 2021-04-20 15:56:58 UTC
This was pulled down to 4.8 as part of https://github.com/openshift/ovn-kubernetes/pull/496

Comment 6 errata-xmlrpc 2021-07-27 22:57:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.